'use client';

import React from 'react'
import Bingo from './bingo.tsx'
import styles from './bingo.module.css'

export default function BingoController(){
	const [size, setSize] = React.useState(5);
	const [items, setItems] = React.useState(["Cloud", "Cyber", "Distruptive Technology", "AI", "Metaverse", "Gamification", "Web 3.0", "Industry 4.0", "Internet of Things", "Multiexperience", "Big Data", "Crypto", "[Insert bullshit here] as a service"]);
	const sizeError = ((items.length % size) != 0);
	return(
		<>
		{sizeError && <p className={styles.warning}>Warning: Mismatch between item count and size</p>}
		<Bingo size={size} items={items}/>
		</>
	);
}
